package com.yidianling.im.session.viewholder

import android.widget.TextView
import androidx.recyclerview.widget.LinearLayoutManager
import androidx.recyclerview.widget.RecyclerView
import com.ydl.webview.H5Params
import com.ydl.ydlcommon.base.config.HttpConfig.Companion.MH5_URL
import com.yidianling.im.R
import com.yidianling.im.session.extension.CustomAttachmentPatientMedicineApply
import com.yidianling.im.session.viewholder.adapter.AdapterMedicineApply
import com.yidianling.nimbase.common.ui.recyclerview.adapter.BaseMultiItemFetchLoadAdapter
import com.yidianling.uikit.business.session.viewholder.MsgViewHolderBase

/**
 * 就诊人提示补充信息ui
 */
class MsgViewHolderPatientMedicineApply(adapter: BaseMultiItemFetchLoadAdapter<*, *>?) :
    MsgViewHolderBase(adapter) {
    private lateinit var medicine_title: TextView
    private lateinit var medicine_list: RecyclerView
    private lateinit var itemBean: CustomAttachmentPatientMedicineApply
    private lateinit var adapterMedicine: AdapterMedicineApply
    override fun getContentResId(): Int {
        return R.layout.im_nim_patient_medicine_apply_layout
    }

    override fun inflateContentView() {
        medicine_title = findViewById(R.id.medicine_title)
        medicine_list = findViewById(R.id.medicine_list)
        medicine_title.text = itemBean.title
        adapterMedicine = AdapterMedicineApply()
        medicine_list.layoutManager = LinearLayoutManager(context)
        medicine_list.adapter = adapterMedicine
        itemBean.medicinelist?.let { adapterMedicine.setTagData(it) }
    }

    override fun bindContentView() {
        itemBean = message.attachment as CustomAttachmentPatientMedicineApply
        hideItemBg()
    }

    override fun onItemClick() {
        //跳转开药详情页面
        val h5Params3 = H5Params(
            MH5_URL + "\n" +
                    "ct/drug/apply/details?visitApplyNo=${itemBean.visitApplyNo}&hideNavBar=1", null
        )
        NewH5Activity.start(getActivity(), h5Params3)
    }
}